<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>

<!-- escape begin -->
    <rule name = "CAPTURE_ESCAPE">
        <condition name = "META" tag = "CAPTURE_ESCAPE" type = "BOOL" value = "true" outTag = "MULTICAM_CONDITION_2"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning10"/>
        </outState>

        <rule name = "CAPTURE_ESCAPE ZOOM[0.5x-1x)">
            <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
            <outState>
                <camera name = "ultra_wide" prev = "true" stage = "binning10"/>
            </outState>
        </rule>

        <rule name = "CAPTURE_ESCAPE ZOOM[1x-2.5x)">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "2.5"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning10"/>
            </outState>
        </rule>

        <rule name = "CAPTURE_ESCAPE ZOOM[2.5-50x)">
            <condition name = "ZOOM_RATIO" min = "2.5" max = "100.0"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning10"/>
            </outState>
        </rule>
    </rule>
<!-- escape end -->

<!-- macro distance begin -->
    <rule name = "ZOOM[0.99 - 1.01) Entering macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning10"/>
            <camera name = "ultra_wide" stage = "binning10"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) Exiting macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "2"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning10"/>
            <camera name = "wide" stage = "binning10"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) In macro dual stream for vcm">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "3"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning10"/>
            <camera name = "wide" stage = "binning10"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) macro stop dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "4"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning10"/>
        </outState>
    </rule>
<!-- macro distance end -->

<!-- zoom ratio begin -->
    <rule name = "ai_cap ZOOM[0.5 - 1.0) ">
        <condition name = "ZOOM_RATIO" min = "0.5" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning10"/>
        </outState>

        <rule name = "ai_cap [0.8-1.0x) uw+w for sat">
            <condition name = "ZOOM_RATIO" min = "0.8" max = "1.0"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>

            <rule name = "ai_cap [0.8-1.0x) zoom_stop">
                <condition name = "ZOOM_STATUS" value = "1"/>
                <outState>
                    <camera name = "ultra_wide" prev = "true"/>
                </outState>
            </rule>
        </rule>
    </rule>
    <rule name = "ai_cap ZOOM[1x-2x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning10"/>
        </outState>

        <rule name = "ai_cap [1.0-1.5x) w+uw for sat">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "1.5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "ultra_wide"/>
            </outState>

            <rule name = "ai_cap [1.0-1.5x) zoom_stop">
                <condition name = "ZOOM_STATUS" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "ai_cap ZOOM[2.0,4.0) unexpected">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "4.0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "ai_cap [2.0-4.0x Bright(Non night)] --> [wide remosaic]">
            <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "0"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "remosaic"/>
            </outState>
        </rule>
        <rule name = "ai_cap [2.0-4.0x Bright(night)] --> [wide binning]">
            <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ai_cap ZOOM[4.0,10.1) unexpected">
        <condition name = "ZOOM_RATIO" min = "4.0" max = "10.1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>

        <rule name = "ai_cap [4.0-10.0x Bright(Non super night)] --> [wide remosaic]">
            <condition name = "META" tag = "MULTICAM_IS_SUPER_NIGHT" type = "INT32" value = "0"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "remosaic"/>
            </outState>
        </rule>

        <rule name = "ai_cap [4.0-10.0x Bright(super night)] --> [wide binning]">
            <condition name = "META" tag = "MULTICAM_IS_SUPER_NIGHT" type = "INT32" value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ZOOM[10000x] never go in ">
        <condition name = "ZOOM_RATIO" min = "10000" max = "10000.1"/>
        <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_SUPER_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_SUPER_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_DARK_NIGHT"/>
        <outState>
            <camera name = "wide" prev = "true"  stage = "binning" />
        </outState>
    </rule>

</MultiCameraConfigTable>